Bug 1374769 - Update logrorate for gnocchi service
Summary: Update logrorate for gnocchi service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-gnocchi
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 15:01 UTC by Yurii Prokulevych
Modified: 2016-12-14 16:00 UTC (History)
3 users (show)

Fixed In Version: openstack-gnocchi-3.0.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:00:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Yurii Prokulevych 2016-09-09 15:01:36 UTC
Description of problem:
-----------------------
Gnocchi might be very verbose, especially when used with swift backend.
To avoid disk filling it would be great to rotate files not on weekly basis but after it reaches 10M as in ceilometer.


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-gnocchi-indexer-sqlalchemy-2.2.1-0.20160821103314.7a40269.el7ost.noarch
openstack-gnocchi-metricd-2.2.1-0.20160821103314.7a40269.el7ost.noarch
puppet-gnocchi-9.1.0-0.20160815142605.7aa0c60.el7ost.noarch
python-gnocchi-2.2.1-0.20160821103314.7a40269.el7ost.noarch
openstack-gnocchi-api-2.2.1-0.20160821103314.7a40269.el7ost.noarch
python-gnocchiclient-2.5.1-0.20160823092719.a1ec8aa.el7ost.noarch
openstack-gnocchi-carbonara-2.2.1-0.20160821103314.7a40269.el7ost.noarch
openstack-gnocchi-common-2.2.1-0.20160821103314.7a40269.el7ost.noarch
openstack-gnocchi-statsd-2.2.1-0.20160821103314.7a40269.el7ost.noarch

Comment 1 Pradeep Kilambi 2016-09-14 18:13:12 UTC
fixed merged into rdo https://review.rdoproject.org/r/#/c/2169/

Comment 3 Yurii Prokulevych 2016-10-05 15:03:35 UTC
Verified with openstack-gnocchi-common-3.0.1-0.20160923180636.c6b2c51.el7ost.noarch

$ cat /etc/logrotate.d/openstack-gnocchi 
compress

/var/log/gnocchi/*.log {
    weekly
    rotate 4
    size 10M
    missingok
    compress
    minsize 100k
}

Comment 6 errata-xmlrpc 2016-12-14 16:00:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.